This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 680065 - Potential security problem with fast user switch
Potential security problem with fast user switch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 680246 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-24 04:32 EST by John Keller
Modified: 2012-08-07 16:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Keller 2011-02-24 04:32:45 EST
Filing this under gnome-shell because I'm not sure where the fast user switching "lives" now (as a plugin, or integrated into the shell). Please feel free to change the component as appropriate...

While running the fast user switch test as a part of Nouveau test day (2011-02-22, though I'm just getting to it now ;-) ), I ran into a potential security problem.

As the test specified, I logged in as a user "A", selected "switch user", logged in as user "B", and switched repeatedly between the two users. Each time that I switched users, I was prompted to enter a password by GDM when selecting one or the other.

However, when I selected "log out" for user "B", I was immediately switched to user "A", with no password prompt - I simply found myself on user "A"'s desktop, with full access to all open apps.

My guess is that this isn't desired? I'd have expected that, when logging out of user "B"'s desktop, I'd be returned to GDM with only user "A" still indicated as being logged in, and I'd have to enter user "A"'s password to use that desktop again.
Comment 1 Colin Walters 2011-02-24 09:20:04 EST
If you switched users from the overview, this is probably because screen locking in the overview is broken.  See:

https://bugzilla.gnome.org/show_bug.cgi?id=637540
Comment 2 Jeff Bastian 2011-02-24 14:46:00 EST
*** Bug 680246 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Bastian 2011-02-24 14:47:36 EST
You can also switch between the two users with CTRL-ALT-F1 and CTRL-ALT-F7 without needing a password.

If you use the [user]->Switch User menu option, it asks for a password, but it's pretty easy to circumvent with vt switching.
Comment 4 John Keller 2011-02-24 15:07:26 EST
(In reply to comment #1)
> If you switched users from the overview, this is probably because screen
> locking in the overview is broken.  See:
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=637540

Thanks for the heads-up, but it's actually a different problem. I just tested to be sure.

Here's all I did to duplicate the problem:

* log in as user "A"
* choose "Switch User" from the user menu to switch to GDM (shows user "A" logged in)
* log in as user "B"
* switch to GDM (shows users "A" and "B" logged in)
* log in as user "A"
* switch to GDM (shows users "A" and "B" logged in)
* log in as user "B"
* choose "Log Out..." from the user menu
* find myself in user "A"'s desktop

So it does seem to be a more generalized problem, especially with what Jeff wrote in comment 3.

Using gnome-shell-2.91.6-6.fc15.x86_64 (since I forget to mention before), installed from the "gfx test week" live image.
Comment 5 Dan 2011-07-03 12:50:28 EDT
Has there been any progress on this bug? It was reported in February and hasn't been fixed as of today. It's a pretty severe bug in my opinion and needs higher priority than it's had. Forgive me for being blunt about this.
Comment 6 Colin Walters 2011-07-13 14:31:19 EDT
This is 
https://bugzilla.gnome.org/show_bug.cgi?id=654565
Comment 7 Colin Walters 2011-07-13 14:33:29 EDT
The patch should backport easily if you have security concerns, but I'm not sure it merits an update just on its own.
Comment 8 Fedora End Of Life 2012-08-07 16:21:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.